Query Search Performance
curl --request POST \
--url https://api.tryreplicas.com/v1/gdrive/search-console/search-analytics/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"dimensions": [
"<string>"
],
"dimensionFilterGroups": [
{}
],
"aggregationType": "<string>",
"dataState": "<string>",
"rowLimit": 12500,
"startRow": 1
}
'import requests
url = "https://api.tryreplicas.com/v1/gdrive/search-console/search-analytics/query"
payload = {
"startDate": "2023-12-25",
"endDate": "2023-12-25",
"dimensions": ["<string>"],
"dimensionFilterGroups": [{}],
"aggregationType": "<string>",
"dataState": "<string>",
"rowLimit": 12500,
"startRow": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-12-25',
endDate: '2023-12-25',
dimensions: ['<string>'],
dimensionFilterGroups: [{}],
aggregationType: '<string>',
dataState: '<string>',
rowLimit: 12500,
startRow: 1
})
};
fetch('https://api.tryreplicas.com/v1/gdrive/search-console/search-analytics/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rows": [
{
"keys": [
"<string>"
],
"clicks": 123,
"impressions": 123,
"ctr": 123,
"position": 123
}
],
"responseAggregationType": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Google Search Console
Query Search Performance
Queries clicks, impressions, CTR, and average position for a Search Console property.
POST
/
v1
/
gdrive
/
search-console
/
search-analytics
/
query
Query Search Performance
Authorizations
apiKeyengineSecret & workspaceId
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Query Parameters
Search Console property identifier.
Body
application/json
Available options:
web, image, video, news, discover, googleNews Required range:
1 <= x <= 25000Required range:
x >= 0⌘I